rm(list=ls())

library(Zelig)
library(sampleSelection)

setwd("/Users/")  # set a working directory as you need

mydat <- get(load("Table4.RData"))

mydat1 <- subset(mydat, analysis==1)
mydat2 <- subset(mydat1, UScase==1)


set.seed(12345)

# model 1
selection01 <- litigation ~ comfirm_nr + deffirm_nr + article22v + thdpty + systemicindex + lncgdp + lndgdp 
outcome01 <- procompanrul ~ comfirm_nr + deffirm_nr + article22v + thdpty + + systemicindex + lncgdp + lndgdp

model01 <- heckit(selection = selection01, outcome = outcome01, data = mydat1, method = "2step")
summary(model01)




# model 2 - replicate Johnes and Pelc paper (2014, IO) Table 3 model (2)
selection02 <- litigation ~ comfirm_nr + deffirm_nr + article22 + thdpty + systemicindex + lncgdp + lndgdp + com_EU + com_US + def_EU + def_US + dumping + spstbt + agriculture
outcome02 <- procompanrul ~  comfirm_nr + deffirm_nr + article22 + thdpty + systemicindex + dumping + spstbt + agriculture

model02 <- heckit(selection02, outcome02, data= mydat1, method="2step")
summary(model02)



# Only consider U.S. cases.

# model 3
selection03 <- litigation ~ comfirm_nr + deffirm_nr + article22 + thdpty + systemicindex + lncgdp + lndgdp + celection +delection
outcome03 <- procompanrul ~ comfirm_nr + deffirm_nr + com_panlob1m + def_panlob1m + article22 + thdpty + systemicindex + lncgdp + lndgdp + article

model03 <- heckit(selection03, outcome03, data= mydat2, method="2step")
summary(model03)


# model 4
selection04 <- litigation ~ comfirm_nr + deffirm_nr + article22 + thdpty + systemicindex + lncgdp + lndgdp + celection + delection + dumping + spstbt + agriculture
outcome04 <- procompanrul ~ comfirm_nr + deffirm_nr + com_panlob1m + def_panlob1m + article22 + thdpty + systemicindex + lncgdp + lndgdp + dumping + spstbt + agriculture + article

model04 <- heckit(selection04, outcome04, data= mydat2, method="2step")
summary(model04)