rm(list=ls())

library(survival)


setwd("/Users/")  # set a working directory as you need
mydat <- get(load("Table5.RData"))


wto.s.Y <- Surv(durat,settle)


xvarY.01 <- c("mydat$clobby","mydat$dlobby","mydat$lncGDP","mydat$lndGDP","mydat$cPolity","mydat$dPolity","mydat$cinvolv","mydat$dinvolv", 
              "mydat$citedA","mydat$ThirdParty","mydat$SPSTBT","mydat$agriculture") 
xvarY.02 <- c("mydat$clobby","mydat$dlobby","mydat$lncGDP","mydat$lndGDP","mydat$cinvolv","mydat$dinvolv", 
              "mydat$citedA","mydat$ThirdParty","mydat$SPSTBT","mydat$agriculture", "mydat$clegiElecYDummy","mydat$dlegiElecYDummy",
              "mydat$cpolconv","mydat$dpolconv","mydat$InvRelDummy")

xvarY.03 <- c("mydat$clobby","mydat$dlobby","mydat$UScom", "mydat$clobby.UScom","mydat$cinvolv","mydat$dinvolv", 
              "mydat$citedA","mydat$ThirdParty","mydat$SPSTBT","mydat$agriculture","mydat$clegiElecYDummy","mydat$dlegiElecYDummy",
              "mydat$cpolconv","mydat$dpolconv","mydat$InvRelDummy") 
xvarY.04 <- c("mydat$clobby","mydat$dlobby","mydat$UScom", "mydat$dlobby.UScom","mydat$cinvolv","mydat$dinvolv", 
              "mydat$citedA","mydat$ThirdParty","mydat$SPSTBT","mydat$agriculture","mydat$clegiElecYDummy","mydat$dlegiElecYDummy",
              "mydat$cpolconv","mydat$dpolconv","mydat$InvRelDummy") 

xvarY.05 <- c("mydat$clobby","mydat$dlobby","mydat$USdef", "mydat$clobby.USdef","mydat$cinvolv", 
              "mydat$citedA","mydat$ThirdParty","mydat$SPSTBT","mydat$agriculture","mydat$clegiElecYDummy","mydat$dlegiElecYDummy",
              "mydat$cpolconv","mydat$dpolconv","mydat$InvRelDummy") 
xvarY.06 <- c("mydat$clobby","mydat$dlobby","mydat$USdef", "mydat$dlobby.USdef","mydat$cinvolv", 
              "mydat$citedA","mydat$ThirdParty","mydat$SPSTBT","mydat$agriculture","mydat$clegiElecYDummy","mydat$dlegiElecYDummy",
              "mydat$cpolconv","mydat$dpolconv","mydat$InvRelDummy") 



ModelY.01 <- as.formula(paste("wto.s.Y ~", paste(xvarY.01, collapse="+")))
ModelY.02 <- as.formula(paste("wto.s.Y ~", paste(xvarY.02, collapse="+")))

ModelY.03 <- as.formula(paste("wto.s.Y ~", paste(xvarY.03, collapse="+")))
ModelY.04 <- as.formula(paste("wto.s.Y ~", paste(xvarY.04, collapse="+")))

ModelY.05 <- as.formula(paste("wto.s.Y ~", paste(xvarY.05, collapse="+")))
ModelY.06 <- as.formula(paste("wto.s.Y ~", paste(xvarY.06, collapse="+")))



CoxY.br01 <- coxph(ModelY.01, data=mydat, na.action=na.exclude, method="breslow")
CoxY.br02 <- coxph(ModelY.02, data=mydat, na.action=na.exclude, method="breslow")

CoxY.br03 <- coxph(ModelY.03, data=mydat, na.action=na.exclude, method="breslow")
CoxY.br04 <- coxph(ModelY.04, data=mydat, na.action=na.exclude, method="breslow")

CoxY.br05 <- coxph(ModelY.05, data=mydat, na.action=na.exclude, method="breslow")
CoxY.br06 <- coxph(ModelY.06, data=mydat, na.action=na.exclude, method="breslow")



# Table 5 Results

summary(CoxY.br01)  # Model (1)
summary(CoxY.br02)  # Model (2)

summary(CoxY.br03)  # Model (3)
summary(CoxY.br04)  # Model (4)

summary(CoxY.br05)  # Model (5)
summary(CoxY.br06)  # Model (6)



